classification
Title: PEP 3121, 384 Refactoring applied to sre module
Type: resource usage Stage: resolved
Components: Extension Modules Versions: Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder: Py_Finalize() doesn't clear all Python objects at exit
View: 1635741
Assigned To: Nosy List: Robin.Schreiber, asvetlov, vstinner
Priority: normal Keywords: pep3121

Created on 2012-08-15 14:18 by Robin.Schreiber, last changed 2020-12-18 00:49 by vstinner. This issue is now closed.

Files
File name Uploaded Description Edit
_sre_pep3121-384_v0.patch Robin.Schreiber, 2012-08-15 14:18
Messages (2)
msg168298 - (view) Author: Robin Schreiber (Robin.Schreiber) * (Python triager) Date: 2012-08-15 14:18
Changes proposed in PEP3121 and PEP384 have now been applied to the sre module!
msg383282 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2020-12-18 00:49
Fixed by:

commit a6109ef68d421712ba368ef502c4789e8de113e0
Author: Erlend Egeberg Aasland <erlend.aasland@innova.no>
Date:   Fri Nov 20 13:36:23 2020 +0100

    bpo-1635741: Convert _sre types to heap types and establish module state (PEP 384) (GH-23393)
History
Date User Action Args
2020-12-18 00:49:01vstinnersetstatus: open -> closed

superseder: Py_Finalize() doesn't clear all Python objects at exit

nosy: + vstinner
messages: + msg383282
resolution: fixed
stage: resolved
2012-11-08 13:37:12Robin.Schreibersetkeywords: + pep3121, - patch
2012-08-27 03:42:36belopolskylinkissue15787 dependencies
2012-08-17 16:40:57asvetlovsetnosy: + asvetlov
2012-08-15 14:18:52Robin.Schreibercreate